Skip to content

createNutanixCluster

Add Nutanix cluster Supported in v5.0+ Create a Nutanix cluster object by providing an address and account credentials for Prism. Initiates an asynchronous job to establish a connection with the cluster and retrieve all metadata. Use GET /nutanix_cluster/{id}/status to check status.

Arguments

Argument Type Description
input (required) CreateNutanixClusterInput! Input for InternalCreateNutanixCluster.

Returns

AsyncRequestStatus!

Sample

mutation CreateNutanixCluster($input: CreateNutanixClusterInput!) {
  createNutanixCluster(input: $input) {
    endTime
    id
    nodeId
    progress
    result
    startTime
    status
  }
}
{
  "input": {
    "clusterUuid": "example-string",
    "nutanixClusterConfig": {
      "caCerts": "example-string",
      "hostname": "example-string",
      "nutanixClusterUuid": "example-string",
      "password": "example-string",
      "username": "example-string"
    }
  }
}
{
  "data": {
    "createNutanixCluster": {
      "endTime": "2024-01-01T00:00:00.000Z",
      "id": "example-string",
      "nodeId": "example-string",
      "progress": 0.0,
      "result": "example-string",
      "startTime": "2024-01-01T00:00:00.000Z",
      "error": {
        "message": "example-string"
      },
      "links": [
        {
          "href": "example-string",
          "rel": "example-string"
        }
      ]
    }
  }
}